## fonts-noto-color-emoji 0~20180424

=== debian/changelog ===
fonts-noto-color-emoji (0~20180424-0ubuntu1) bionic; urgency=medium

  * New upstream release
    - Use toy squirt gun to represent the pistol emoji (LP: #1766736)
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Apr 2018 19:12:19 -0400

fonts-noto-color-emoji (0~20180102-1) unstable; urgency=medium

  * New upstream release
    - Improved vertical text rendering. Updates to flags.
  * Add debian/source/lintian-overrides to ignore false positive
    for license-problem-gfdl-invariants
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 02 Jan 2018 20:14:54 -0500

fonts-noto-color-emoji (0~20171204-1) unstable; urgency=medium

  * New upstream release with critical fixes to hamburger, beer,
    and cheese emoji 🍔

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Dec 2017 20:16:06 -0500

fonts-noto-color-emoji (0~20170913-2) unstable; urgency=medium

  * Install font to correct subdirectory

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Nov 2017 18:57:13 -0500

fonts-noto-color-emoji (0~20170913-1) unstable; urgency=low

  * Initial release. Closes: #849042

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 01 Nov 2017 10:24:55 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PNGQUANT=/usr/bin/pngquant

override_dh_install:
	dh_install NotoColorEmoji.ttf /usr/share/fonts/truetype/noto

override_dh_clean:
	dh_clean
	rm -f *pyc

=== debian/watch ===
version=4
opts=uversionmangle=s/^(\d{4})-(\d{2})-(\d{2}).*/0~$1$2$3/ \
https://github.com/googlei18n/noto-emoji/releases \
 .*/archive/v([0-9a-z\-]*)@ARCHIVE_EXT@

## fonts-noto-color-emoji 0~20180810

=== Makefile ===
# Copyright 2014 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

EMOJI = NotoColorEmoji
font: $(EMOJI).ttf

CFLAGS = -std=c99 -Wall -Wextra `pkg-config --cflags --libs cairo`
LDFLAGS = -lm `pkg-config --libs cairo`
PNGQUANTDIR := third_party/pngquant
PNGQUANT := $(PNGQUANTDIR)/pngquant
PNGQUANTFLAGS = --speed 1 --skip-if-larger --quality 85-95 --force
BODY_DIMENSIONS = 136x128
IMOPS := -size $(BODY_DIMENSIONS) canvas:none -compose copy -gravity center

# zopflipng is better (about 5-10%) but much slower.  it will be used if
# present.  pass ZOPFLIPNG= as an arg to make to use optipng instead.

ZOPFLIPNG = zopflipng
OPTIPNG = optipng

EMOJI_BUILDER = third_party/color_emoji/emoji_builder.py
# flag for emoji builder.  Default to legacy small metrics for the time being.
SMALL_METRICS := -S
ADD_GLYPHS = add_glyphs.py
ADD_GLYPHS_FLAGS = -a emoji_aliases.txt
PUA_ADDER = map_pua_emoji.py
VS_ADDER = add_vs_cmap.py # from nototools

EMOJI_SRC_DIR := png/128
FLAGS_SRC_DIR := third_party/region-flags/png

BUILD_DIR := build
EMOJI_DIR := $(BUILD_DIR)/emoji
FLAGS_DIR := $(BUILD_DIR)/flags
RESIZED_FLAGS_DIR := $(BUILD_DIR)/resized_flags
RENAMED_FLAGS_DIR := $(BUILD_DIR)/renamed_flags
QUANTIZED_DIR := $(BUILD_DIR)/quantized_pngs
COMPRESSED_DIR := $(BUILD_DIR)/compressed_pngs

# Unknown flag is PUA fe82b
# Note, we omit some flags below that we support via aliasing instead.

LIMITED_FLAGS = CN DE ES FR GB IT JP KR RU US
SELECTED_FLAGS = AC AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ \
	BA BB BD BE BF BG BH BI BJ BM BN BO BR BS BT BW BY BZ \
	CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ \
	DE DJ DK DM DO DZ \
	EC EE EG EH ER ES ET EU \
	FI FJ FK FM FO FR \
	GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY \
	HK HN HR HT HU \
	IC ID IE IL IM IN IO IQ IR IS IT \
	JE JM JO JP \
	KE KG KH KI KM KN KP KR KW KY KZ \
	LA LB LC LI LK LR LS LT LU LV LY \
	MA MC MD ME MG MH MK ML MM MN MO MP MR MS MT MU MV MW MX MY MZ \
	NA NC NE NF NG NI NL NO NP NR NU NZ \
	OM \
	PA PE PF PG PH PK PL PM PN PR PS PT PW PY \
	QA \
	RO RS RU RW \
	SA SB SC SD SE SG SH SI SK SL SM SN SO SR SS ST SV SX SY SZ \
	TA TC TD TG TH TJ TK TL TM TN TO TR TT TV TW TZ \
	UA UG UN US UY UZ \
	VA VC VE VG VI VN VU \
	WF WS \
	XK \
	YE YT \
	ZA ZM ZW \
        GB-ENG GB-SCT GB-WLS

ALL_FLAGS = $(basename $(notdir $(wildcard $(FLAGS_SRC_DIR)/*.png)))

FLAGS = $(SELECTED_FLAGS)

FLAG_NAMES = $(FLAGS:%=%.png)
FLAG_FILES = $(addprefix $(FLAGS_DIR)/, $(FLAG_NAMES))
RESIZED_FLAG_FILES = $(addprefix $(RESIZED_FLAGS_DIR)/, $(FLAG_NAMES))

FLAG_GLYPH_NAMES = $(shell ./flag_glyph_name.py $(FLAGS))
RENAMED_FLAG_NAMES = $(FLAG_GLYPH_NAMES:%=emoji_%.png)
RENAMED_FLAG_FILES = $(addprefix $(RENAMED_FLAGS_DIR)/, $(RENAMED_FLAG_NAMES))

EMOJI_NAMES = $(notdir $(wildcard $(EMOJI_SRC_DIR)/emoji_u*.png))
EMOJI_FILES= $(addprefix $(EMOJI_DIR)/,$(EMOJI_NAMES)))

ALL_NAMES = $(EMOJI_NAMES) $(RENAMED_FLAG_NAMES)

ALL_QUANTIZED_FILES = $(addprefix $(QUANTIZED_DIR)/, $(ALL_NAMES))
ALL_COMPRESSED_FILES = $(addprefix $(COMPRESSED_DIR)/, $(ALL_NAMES))

# tool checks
ifeq (,$(shell which $(ZOPFLIPNG)))
  ifeq (,$(wildcard $(ZOPFLIPNG)))
    MISSING_ZOPFLI = fail
  endif
endif

ifeq (,$(shell which $(OPTIPNG)))
  ifeq (,$(wildcard $(OPTIPNG)))
    MISSING_OPTIPNG = fail
  endif
endif

ifeq (, $(shell which $(VS_ADDER)))
  MISSING_ADDER = fail
endif


emoji: $(EMOJI_FILES)

flags: $(FLAG_FILES)

resized_flags: $(RESIZED_FLAG_FILES)

renamed_flags: $(RENAMED_FLAG_FILES)

quantized: $(ALL_QUANTIZED_FILES)

compressed: $(ALL_COMPRESSED_FILES)

check_compress_tool:
ifdef MISSING_ZOPFLI
  ifdef MISSING_OPTIPNG
	$(error "neither $(ZOPFLIPNG) nor $(OPTIPNG) is available")
  else
	@echo "using $(OPTIPNG)"
  endif
else
	@echo "using $(ZOPFLIPNG)"
endif

check_vs_adder:
ifdef MISSING_ADDER
	$(error "$(VS_ADDER) not in path, run setup.py in nototools")
endif


$(EMOJI_DIR) $(FLAGS_DIR) $(RESIZED_FLAGS_DIR) $(RENAMED_FLAGS_DIR) $(QUANTIZED_DIR) $(COMPRESSED_DIR):
	mkdir -p "$@"

$(PNGQUANT):
	$(MAKE) -C $(PNGQUANTDIR)

waveflag: waveflag.c
	$(CC) $< -o $@ $(CFLAGS) $(LDFLAGS)


# imagemagick's -extent operator munges the grayscale images in such a fashion
# that while it can display them correctly using libpng12, chrome and gimp using
# both libpng12 and libpng16 display the wrong gray levels.
#
# @convert "$<" -gravity center -background none -extent 136x128 "$@"
#
# We can get around the conversion to a gray colorspace in the version of
# imagemagick packaged with ubuntu trusty (6.7.7-10) by using -composite.

$(EMOJI_DIR)/%.png: $(EMOJI_SRC_DIR)/%.png | $(EMOJI_DIR)
	@convert $(IMOPS) "$<" -composite "PNG32:$@"

$(FLAGS_DIR)/%.png: $(FLAGS_SRC_DIR)/%.png ./waveflag $(PNGQUANT) | $(FLAGS_DIR)
	@./waveflag $(FLAGS_DIR)/ "$<"

$(RESIZED_FLAGS_DIR)/%.png: $(FLAGS_DIR)/%.png | $(RESIZED_FLAGS_DIR)
	@convert $(IMOPS) "$<" -composite "PNG32:$@"

flag-symlinks: $(RESIZED_FLAG_FILES) | $(RENAMED_FLAGS_DIR)
	@$(subst ^, ,                                  \
	  $(join                                       \
	    $(FLAGS:%=ln^-fs^../resized_flags/%.png^), \
	    $(RENAMED_FLAG_FILES:%=%; )                \
	   )                                           \
	 )

$(RENAMED_FLAG_FILES): | flag-symlinks

$(QUANTIZED_DIR)/%.png: $(RENAMED_FLAGS_DIR)/%.png $(PNGQUANT) | $(QUANTIZED_DIR)
	@($(PNGQUANT) $(PNGQUANTFLAGS) -o "$@" "$<"; case "$$?" in "98"|"99") echo "reuse $<"; cp $< $@;; *) exit "$$?";; esac)

$(QUANTIZED_DIR)/%.png: $(EMOJI_DIR)/%.png $(PNGQUANT) | $(QUANTIZED_DIR)
	@($(PNGQUANT) $(PNGQUANTFLAGS) -o "$@" "$<"; case "$$?" in "98"|"99") echo "reuse $<";cp $< $@;; *) exit "$$?";; esac)

$(COMPRESSED_DIR)/%.png: $(QUANTIZED_DIR)/%.png | check_compress_tool $(COMPRESSED_DIR)
ifdef MISSING_ZOPFLI
	@$(OPTIPNG) -quiet -o7 -clobber -force -out "$@" "$<"
else
	@$(ZOPFLIPNG) -y "$<" "$@" 1> /dev/null 2>&1
endif


# Make 3.81 can endless loop here if the target is missing but no
# prerequisite is updated and make has been invoked with -j, e.g.:
# File `font' does not exist.
#      File `NotoColorEmoji.tmpl.ttx' does not exist.
# File `font' does not exist.
#      File `NotoColorEmoji.tmpl.ttx' does not exist.
# ...
# Run make without -j if this happens.

%.ttx: %.ttx.tmpl $(ADD_GLYPHS) $(ALL_COMPRESSED_FILES)
	@python $(ADD_GLYPHS) -f "$<" -o "$@" -d "$(COMPRESSED_DIR)" $(ADD_GLYPHS_FLAGS)

%.ttf: %.ttx
	@rm -f "$@"
	ttx "$<"

$(EMOJI).ttf: $(EMOJI).tmpl.ttf $(EMOJI_BUILDER) $(PUA_ADDER) \
	$(ALL_COMPRESSED_FILES) | check_vs_adder
	@python $(EMOJI_BUILDER) $(SMALL_METRICS) -V $< "$@" "$(COMPRESSED_DIR)/emoji_u"
	@python $(PUA_ADDER) "$@" "$@-with-pua"
	@$(VS_ADDER) -vs 2640 2642 2695 --dstdir '.' -o "$@-with-pua-varsel" "$@-with-pua"
	@mv "$@-with-pua-varsel" "$@"
	@rm "$@-with-pua"

clean:
	rm -f $(EMOJI).ttf $(EMOJI).tmpl.ttf $(EMOJI).tmpl.ttx
	rm -f waveflag
	rm -rf $(BUILD_DIR)

.SECONDARY: $(EMOJI_FILES) $(FLAG_FILES) $(RESIZED_FLAG_FILES) $(RENAMED_FLAG_FILES) \
  $(ALL_QUANTIZED_FILES) $(ALL_COMPRESSED_FILES)

.PHONY:	clean flags emoji renamed_flags quantized compressed check_compress_tool

=== debian/changelog ===
fonts-noto-color-emoji (0~20180810-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1788256)
    - This major update introduces support for the new Unicode 11 standard

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Oct 2018 21:50:35 -0400

=== debian/control ===
Source: fonts-noto-color-emoji
Section: fonts
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 10),
               fonttools,
               imagemagick,
               libcairo2-dev,
               libpng-dev,
               pkg-config,
               pngquant,
               python-nototools,
               zopfli,
Standards-Version: 4.1.3
Homepage: https://www.google.com/get/noto/help/emoji/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git -b ubuntu/bionic
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji/tree/ubuntu/bionic

Package: fonts-noto-color-emoji
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: color emoji font from Google
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts.
 .
 Tofu (豆腐) is Japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.
 .
 This package contains the color emoji font used on "stock" Android devices
 such as the Google Pixel.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PNGQUANT=/usr/bin/pngquant SMALL_METRICS=

override_dh_install:
	dh_install NotoColorEmoji.ttf /usr/share/fonts/truetype/noto

override_dh_clean:
	dh_clean
	rm -f *pyc

## fonts-noto-color-emoji 0~20200408

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,9 @@
 
 CFLAGS = -std=c99 -Wall -Wextra `pkg-config --cflags --libs cairo`
 LDFLAGS = -lm `pkg-config --libs cairo`
-PNGQUANTDIR := third_party/pngquant
-PNGQUANT := $(PNGQUANTDIR)/pngquant
+
+PNGQUANT = pngquant
+PYTHON = python3
 PNGQUANTFLAGS = --speed 1 --skip-if-larger --quality 85-95 --force
 BODY_DIMENSIONS = 136x128
 IMOPS := -size $(BODY_DIMENSIONS) canvas:none -compose copy -gravity center
@@ -37,7 +38,7 @@
 PUA_ADDER = map_pua_emoji.py
 VS_ADDER = add_vs_cmap.py # from nototools
 
-EMOJI_SRC_DIR := png/128
+EMOJI_SRC_DIR ?= png/128
 FLAGS_SRC_DIR := third_party/region-flags/png
 
 BUILD_DIR := build
@@ -53,7 +54,7 @@
 
 LIMITED_FLAGS = CN DE ES FR GB IT JP KR RU US
 SELECTED_FLAGS = AC AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ \
-	BA BB BD BE BF BG BH BI BJ BM BN BO BR BS BT BW BY BZ \
+	BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BW BY BZ \
 	CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ \
 	DE DJ DK DM DO DZ \
 	EC EE EG EH ER ES ET EU \
@@ -64,14 +65,14 @@
 	JE JM JO JP \
 	KE KG KH KI KM KN KP KR KW KY KZ \
 	LA LB LC LI LK LR LS LT LU LV LY \
-	MA MC MD ME MG MH MK ML MM MN MO MP MR MS MT MU MV MW MX MY MZ \
+	MA MC MD ME MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ \
 	NA NC NE NF NG NI NL NO NP NR NU NZ \
 	OM \
 	PA PE PF PG PH PK PL PM PN PR PS PT PW PY \
 	QA \
-	RO RS RU RW \
+	RE RO RS RU RW \
 	SA SB SC SD SE SG SH SI SK SL SM SN SO SR SS ST SV SX SY SZ \
-	TA TC TD TG TH TJ TK TL TM TN TO TR TT TV TW TZ \
+	TA TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ \
 	UA UG UN US UY UZ \
 	VA VC VE VG VI VN VU \
 	WF WS \
@@ -88,7 +89,7 @@
 FLAG_FILES = $(addprefix $(FLAGS_DIR)/, $(FLAG_NAMES))
 RESIZED_FLAG_FILES = $(addprefix $(RESIZED_FLAGS_DIR)/, $(FLAG_NAMES))
 
-FLAG_GLYPH_NAMES = $(shell ./flag_glyph_name.py $(FLAGS))
+FLAG_GLYPH_NAMES = $(shell $(PYTHON) flag_glyph_name.py $(FLAGS))
 RENAMED_FLAG_NAMES = $(FLAG_GLYPH_NAMES:%=emoji_%.png)
 RENAMED_FLAG_FILES = $(addprefix $(RENAMED_FLAGS_DIR)/, $(RENAMED_FLAG_NAMES))
 
@@ -150,8 +151,6 @@
 $(EMOJI_DIR) $(FLAGS_DIR) $(RESIZED_FLAGS_DIR) $(RENAMED_FLAGS_DIR) $(QUANTIZED_DIR) $(COMPRESSED_DIR):
 	mkdir -p "$@"
 
-$(PNGQUANT):
-	$(MAKE) -C $(PNGQUANTDIR)
 
 waveflag: waveflag.c
 	$(CC) $< -o $@ $(CFLAGS) $(LDFLAGS)
@@ -169,7 +168,7 @@
 $(EMOJI_DIR)/%.png: $(EMOJI_SRC_DIR)/%.png | $(EMOJI_DIR)
 	@convert $(IMOPS) "$<" -composite "PNG32:$@"
 
-$(FLAGS_DIR)/%.png: $(FLAGS_SRC_DIR)/%.png ./waveflag $(PNGQUANT) | $(FLAGS_DIR)
+$(FLAGS_DIR)/%.png: $(FLAGS_SRC_DIR)/%.png ./waveflag | $(FLAGS_DIR)
 	@./waveflag $(FLAGS_DIR)/ "$<"
 
 $(RESIZED_FLAGS_DIR)/%.png: $(FLAGS_DIR)/%.png | $(RESIZED_FLAGS_DIR)
@@ -185,10 +184,10 @@
 
 $(RENAMED_FLAG_FILES): | flag-symlinks
 
-$(QUANTIZED_DIR)/%.png: $(RENAMED_FLAGS_DIR)/%.png $(PNGQUANT) | $(QUANTIZED_DIR)
+$(QUANTIZED_DIR)/%.png: $(RENAMED_FLAGS_DIR)/%.png | $(QUANTIZED_DIR)
 	@($(PNGQUANT) $(PNGQUANTFLAGS) -o "$@" "$<"; case "$$?" in "98"|"99") echo "reuse $<"; cp $< $@;; *) exit "$$?";; esac)
 
-$(QUANTIZED_DIR)/%.png: $(EMOJI_DIR)/%.png $(PNGQUANT) | $(QUANTIZED_DIR)
+$(QUANTIZED_DIR)/%.png: $(EMOJI_DIR)/%.png | $(QUANTIZED_DIR)
 	@($(PNGQUANT) $(PNGQUANTFLAGS) -o "$@" "$<"; case "$$?" in "98"|"99") echo "reuse $<";cp $< $@;; *) exit "$$?";; esac)
 
 $(COMPRESSED_DIR)/%.png: $(QUANTIZED_DIR)/%.png | check_compress_tool $(COMPRESSED_DIR)
@@ -209,7 +208,7 @@
 # Run make without -j if this happens.
 
 %.ttx: %.ttx.tmpl $(ADD_GLYPHS) $(ALL_COMPRESSED_FILES)
-	@python $(ADD_GLYPHS) -f "$<" -o "$@" -d "$(COMPRESSED_DIR)" $(ADD_GLYPHS_FLAGS)
+	@$(PYTHON) $(ADD_GLYPHS) -f "$<" -o "$@" -d "$(COMPRESSED_DIR)" $(ADD_GLYPHS_FLAGS)
 
 %.ttf: %.ttx
 	@rm -f "$@"
@@ -217,8 +216,8 @@
 
 $(EMOJI).ttf: $(EMOJI).tmpl.ttf $(EMOJI_BUILDER) $(PUA_ADDER) \
 	$(ALL_COMPRESSED_FILES) | check_vs_adder
-	@python $(EMOJI_BUILDER) $(SMALL_METRICS) -V $< "$@" "$(COMPRESSED_DIR)/emoji_u"
-	@python $(PUA_ADDER) "$@" "$@-with-pua"
+	@$(PYTHON) $(EMOJI_BUILDER) $(SMALL_METRICS) -V $< "$@" "$(COMPRESSED_DIR)/emoji_u"
+	@$(PYTHON) $(PUA_ADDER) "$@" "$@-with-pua"
 	@$(VS_ADDER) -vs 2640 2642 2695 --dstdir '.' -o "$@-with-pua-varsel" "$@-with-pua"
 	@mv "$@-with-pua-varsel" "$@"
 	@rm "$@-with-pua"

=== debian/changelog ===
fonts-noto-color-emoji (0~20200408-1) unstable; urgency=medium

  * New upstream release (LP: #1871791)
    - This update introduces support for Unicode 12.1 with new
      gender and hand-holding options for many characters.
      https://emojipedia.org/google/android-10.0-march-2020-feature-drop

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Apr 2020 07:20:27 -0400

fonts-noto-color-emoji (0~20191119-1) unstable; urgency=medium

  * New upstream release (Closes: #935951)
    - This major update introduces support for the Unicode 12 standard
  * Build-Depend on debhelper-compat 12
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 13:00:54 -0400

fonts-noto-color-emoji (0~20180810-1.1) unstable; urgency=medium

  * Change build-dependencies from python-nototools to python3-nototools
    (Closes: 943022)
  * Apply upstream patches for python 3 support.
  * Clean up __pycache__ in clean target.
  * Clean up third_party/color_emoji/__pycache__ in clean target.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 21 Dec 2019 04:15:57 +0000

fonts-noto-color-emoji (0~20180810-1) unstable; urgency=medium

  * New upstream release (LP: #1788256)
    - This major update introduces support for the new Unicode 11 standard

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 15:26:49 -0400

fonts-noto-color-emoji (0~20180424-2) unstable; urgency=medium

  * Build all country flags instead of just the Android set.
    Some apps may not use the extra flags. See github #215

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 02 May 2018 14:49:48 -0400

fonts-noto-color-emoji (0~20180424-1) unstable; urgency=medium

  * New upstream release
    - Use toy squirt gun to represent the pistol emoji (LP: #1766736)
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Apr 2018 19:10:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                fonttools,
                imagemagick,
                libcairo2-dev,
                libpng-dev,
                pkg-config,
                pngquant,
-               python-nototools,
+               python3-nototools,
                zopfli,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://www.google.com/get/noto/help/emoji/
-Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git -b ubuntu/bionic
-Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji/tree/ubuntu/bionic
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji
 
 Package: fonts-noto-color-emoji
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PNGQUANT=/usr/bin/pngquant

override_dh_install:
	dh_install NotoColorEmoji.ttf /usr/share/fonts/truetype/noto

override_dh_clean:
	dh_clean
	rm -f *pyc
	rm -rf __pycache__
	rm -rf third_party/color_emoji/__pycache__

## fonts-noto-color-emoji 0~20200916

=== debian/changelog ===
fonts-noto-color-emoji (0~20200916-1~ubuntu20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1926047):
    Take advantage of ICU 66 supporting Unicode 13 to update the emoji font to
    the latest version, supporting various new characters.
  * debian/control: Downgrade build dependency on nototools 0.2.0
    It is not needed for the pure ttf generation from PNGs, while the version
    already available in focal is good enough for that.
    In fact using a more recent version of nototools (that contains the latest
    unicode data) would be needed only for a full build of the emoji package
    (that includes medatada such as html pages) or if the sequence check was
    enabled. This is not the case for us as we already explicitly disabled it
    in debian/rules.
  * debian/control: Switch maintainer to ubuntu

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 25 Apr 2021 06:46:50 +0200

fonts-noto-color-emoji (0~20200916-1) unstable; urgency=medium

  * New upstream release
    - This major update introduces support for the Unicode 13.1 standard
      https://emojipedia.org/google/android-11.0/
      https://blog.emojipedia.org/217-new-emojis-in-final-list-for-2021/
  * Bump minimum python3-nototools to 0.2.13
  * Set required VIRTUAL_ENV variable when building the font
  * Bypass sequence checks when building
  * Add patch to make build more verbose (Closes: #923621)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 28 Sep 2020 20:56:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                fonttools,
@@ -10,7 +11,7 @@
                libpng-dev,
                pkg-config,
                pngquant,
-               python3-nototools,
+               python3-nototools (>= 0.2.0),
                zopfli,
 Standards-Version: 4.5.0
 Homepage: https://www.google.com/get/noto/help/emoji/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,12 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- PNGQUANT=/usr/bin/pngquant
+	# The build requires a VIRTUAL_ENV variable 🤷
+	# sequence check isn't working
+	dh_auto_build -- \
+		PNGQUANT=/usr/bin/pngquant \
+		VIRTUAL_ENV=true \
+		BYPASS_SEQUENCE_CHECK=true
 
 override_dh_install:
 	dh_install NotoColorEmoji.ttf /usr/share/fonts/truetype/noto

## fonts-noto-color-emoji 2.028

=== debian/changelog ===
fonts-noto-color-emoji (2.028-1) unstable; urgency=medium

  * New upstream release
    - Happy World Emoji Day! 📅
    - This major update does not introduce new emoji, but revises almost
      1000 emoji
      https://emojipedia.org/google/android-12.0/
      https://blog.emojipedia.org/android-emoji-changelog-july-2021/
  * Don't build extra Windows-compatible version for now

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Jul 2021 13:30:32 -0400

## fonts-noto-color-emoji 2.034

=== requirements.txt ===
fonttools>=4.7.0
notofonttools>=0.2.16

=== debian/changelog ===
fonts-noto-color-emoji (2.034-1) unstable; urgency=medium

  * New upstream release
    - This major update introduces support for the Unicode 14 standard
      https://blog.emojipedia.org/google-emoji-14-0-changelog/
      https://emojipedia.org/google/android-12l/
  * debian/control: Bump minimum fonttools and nototools

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Nov 2021 12:45:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               fonttools,
+               fonttools (>= 4.7.0),
                imagemagick,
                libcairo2-dev,
                libpng-dev,
                pkg-config,
                pngquant,
-               python3-nototools (>= 0.2.0),
+               python3-nototools (>= 0.2.16),
                zopfli,
 Standards-Version: 4.5.0
 Homepage: https://www.google.com/get/noto/help/emoji/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	dh_auto_build -- \
 		PNGQUANT=/usr/bin/pngquant \
 		VIRTUAL_ENV=true \
-		BYPASS_SEQUENCE_CHECK=true
+		BYPASS_SEQUENCE_CHECK=true \
+		NotoColorEmoji.ttf
 
 override_dh_install:
 	dh_install NotoColorEmoji.ttf /usr/share/fonts/truetype/noto

=== debian/watch ===
version=4
https://github.com/googlefonts/noto-emoji/releases \
 .*/v([0-9]\.[0-9a-z\-_]*)@ARCHIVE_EXT@

## fonts-noto-color-emoji 2.038

=== requirements.txt ===
fonttools>=4.7.0
notofonttools>=0.2.17
nanoemoji >= 0.14.3

=== debian/changelog ===
fonts-noto-color-emoji (2.038-1) unstable; urgency=medium

  * New upstream release (LP: #1989626)
    - This major update introduces support for the Unicode 15 standard
      https://blog.emojipedia.org/whats-new-in-unicode-15-0/
  * Bump minimum nototools
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 07:19:16 -0400

## fonts-noto-color-emoji 2.042

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,8 @@
 # limitations under the License.
 
 EMOJI = NotoColorEmoji
-font: $(EMOJI).ttf
+EMOJI_WINDOWS = NotoColorEmoji_WindowsCompatible
+all: $(EMOJI).ttf $(EMOJI_WINDOWS).ttf
 
 CFLAGS = -std=c99 -Wall -Wextra `pkg-config --cflags --libs cairo`
 LDFLAGS = -lm `pkg-config --libs cairo`
@@ -24,11 +25,8 @@
 BODY_DIMENSIONS = 136x128
 IMOPS := -size $(BODY_DIMENSIONS) canvas:none -compose copy -gravity center
 
-# zopflipng is better (about 5-10%) but much slower.  it will be used if
-# present.  pass ZOPFLIPNG= as an arg to make to use optipng instead.
-
 ZOPFLIPNG = zopflipng
-OPTIPNG = optipng
+TTX = ttx
 
 EMOJI_BUILDER = third_party/color_emoji/emoji_builder.py
 # flag for emoji builder.  Default to legacy small metrics for the time being.
@@ -40,6 +38,8 @@
 
 EMOJI_SRC_DIR ?= png/128
 FLAGS_SRC_DIR := third_party/region-flags/png
+
+SEQUENCE_CHECK_PY = check_emoji_sequences.py
 
 BUILD_DIR := build
 EMOJI_DIR := $(BUILD_DIR)/emoji
@@ -81,42 +81,46 @@
 	ZA ZM ZW \
         GB-ENG GB-SCT GB-WLS
 
-ALL_FLAGS = $(basename $(notdir $(wildcard $(FLAGS_SRC_DIR)/*.png)))
-
-FLAGS = $(SELECTED_FLAGS)
-
-FLAG_NAMES = $(FLAGS:%=%.png)
-FLAG_FILES = $(addprefix $(FLAGS_DIR)/, $(FLAG_NAMES))
-RESIZED_FLAG_FILES = $(addprefix $(RESIZED_FLAGS_DIR)/, $(FLAG_NAMES))
-
-FLAG_GLYPH_NAMES = $(shell $(PYTHON) flag_glyph_name.py $(FLAGS))
-RENAMED_FLAG_NAMES = $(FLAG_GLYPH_NAMES:%=emoji_%.png)
-RENAMED_FLAG_FILES = $(addprefix $(RENAMED_FLAGS_DIR)/, $(RENAMED_FLAG_NAMES))
-
-EMOJI_NAMES = $(notdir $(wildcard $(EMOJI_SRC_DIR)/emoji_u*.png))
-EMOJI_FILES= $(addprefix $(EMOJI_DIR)/,$(EMOJI_NAMES)))
-
-ALL_NAMES = $(EMOJI_NAMES) $(RENAMED_FLAG_NAMES)
-
-ALL_QUANTIZED_FILES = $(addprefix $(QUANTIZED_DIR)/, $(ALL_NAMES))
-ALL_COMPRESSED_FILES = $(addprefix $(COMPRESSED_DIR)/, $(ALL_NAMES))
-
-# tool checks
 ifeq (,$(shell which $(ZOPFLIPNG)))
   ifeq (,$(wildcard $(ZOPFLIPNG)))
     MISSING_ZOPFLI = fail
   endif
 endif
 
-ifeq (,$(shell which $(OPTIPNG)))
-  ifeq (,$(wildcard $(OPTIPNG)))
-    MISSING_OPTIPNG = fail
-  endif
+ifndef VIRTUAL_ENV
+  MISSING_VENV = fail
 endif
 
 ifeq (, $(shell which $(VS_ADDER)))
-  MISSING_ADDER = fail
-endif
+  MISSING_PY_TOOLS = fail
+endif
+ifeq (, $(shell which $(TTX)))
+  MISSING_PY_TOOLS = fail
+endif
+
+ALL_FLAGS = $(basename $(notdir $(wildcard $(FLAGS_SRC_DIR)/*.png)))
+
+FLAGS = $(SELECTED_FLAGS)
+
+FLAG_NAMES = $(FLAGS:%=%.png)
+FLAG_FILES = $(addprefix $(FLAGS_DIR)/, $(FLAG_NAMES))
+RESIZED_FLAG_FILES = $(addprefix $(RESIZED_FLAGS_DIR)/, $(FLAG_NAMES))
+
+ifndef MISSING_PY_TOOLS
+FLAG_GLYPH_NAMES = $(shell $(PYTHON) flag_glyph_name.py $(FLAGS))
+else
+FLAG_GLYPH_NAMES =
+endif
+RENAMED_FLAG_NAMES = $(FLAG_GLYPH_NAMES:%=emoji_%.png)
+RENAMED_FLAG_FILES = $(addprefix $(RENAMED_FLAGS_DIR)/, $(RENAMED_FLAG_NAMES))
+
+EMOJI_NAMES = $(notdir $(wildcard $(EMOJI_SRC_DIR)/emoji_u*.png))
+EMOJI_FILES= $(addprefix $(EMOJI_DIR)/,$(EMOJI_NAMES)))
+
+ALL_NAMES = $(EMOJI_NAMES) $(RENAMED_FLAG_NAMES)
+
+ALL_QUANTIZED_FILES = $(addprefix $(QUANTIZED_DIR)/, $(ALL_NAMES))
+ALL_COMPRESSED_FILES = $(addprefix $(COMPRESSED_DIR)/, $(ALL_NAMES))
 
 
 emoji: $(EMOJI_FILES)
@@ -131,22 +135,16 @@
 
 compressed: $(ALL_COMPRESSED_FILES)
 
-check_compress_tool:
+check_tools:
 ifdef MISSING_ZOPFLI
-  ifdef MISSING_OPTIPNG
-	$(error "neither $(ZOPFLIPNG) nor $(OPTIPNG) is available")
-  else
-	@echo "using $(OPTIPNG)"
-  endif
-else
-	@echo "using $(ZOPFLIPNG)"
-endif
-
-check_vs_adder:
-ifdef MISSING_ADDER
-	$(error "$(VS_ADDER) not in path, run setup.py in nototools")
-endif
-
+	$(error "Missing $(ZOPFLIPNG). Try 'brew install zopfli' (Mac) or 'sudo apt-get install zopfli' (linux)")
+endif
+ifdef MISSING_VENV
+		$(error "Please start your virtual environment, and run: "'pip install -r requirements.txt'")
+endif
+ifdef MISSING_PY_TOOLS
+		$(error "Missing tools; run: "'pip install -r requirements.txt' in your virtual environment")
+endif
 
 $(EMOJI_DIR) $(FLAGS_DIR) $(RESIZED_FLAGS_DIR) $(RENAMED_FLAGS_DIR) $(QUANTIZED_DIR) $(COMPRESSED_DIR):
 	mkdir -p "$@"
@@ -190,13 +188,8 @@
 $(QUANTIZED_DIR)/%.png: $(EMOJI_DIR)/%.png | $(QUANTIZED_DIR)
 	@($(PNGQUANT) $(PNGQUANTFLAGS) -o "$@" "$<"; case "$$?" in "98"|"99") echo "reuse $<";cp $< $@;; *) exit "$$?";; esac)
 
-$(COMPRESSED_DIR)/%.png: $(QUANTIZED_DIR)/%.png | check_compress_tool $(COMPRESSED_DIR)
-ifdef MISSING_ZOPFLI
-	@$(OPTIPNG) -quiet -o7 -clobber -force -out "$@" "$<"
-else
+$(COMPRESSED_DIR)/%.png: $(QUANTIZED_DIR)/%.png | check_tools $(COMPRESSED_DIR)
 	@$(ZOPFLIPNG) -y "$<" "$@" 1> /dev/null 2>&1
-endif
-
 
 # Make 3.81 can endless loop here if the target is missing but no
 # prerequisite is updated and make has been invoked with -j, e.g.:
@@ -207,28 +200,54 @@
 # ...
 # Run make without -j if this happens.
 
-%.ttx: %.ttx.tmpl $(ADD_GLYPHS) $(ALL_COMPRESSED_FILES)
-	@$(PYTHON) $(ADD_GLYPHS) -f "$<" -o "$@" -d "$(COMPRESSED_DIR)" $(ADD_GLYPHS_FLAGS)
+$(EMOJI).tmpl.ttx: $(EMOJI).tmpl.ttx.tmpl $(ADD_GLYPHS) $(ALL_COMPRESSED_FILES)
+	$(PYTHON) $(ADD_GLYPHS) -f "$<" -o "$@" -d "$(COMPRESSED_DIR)" $(ADD_GLYPHS_FLAGS)
+
+$(EMOJI_WINDOWS).tmpl.ttx: $(EMOJI).tmpl.ttx.tmpl $(ADD_GLYPHS) $(ALL_COMPRESSED_FILES)
+	$(PYTHON) $(ADD_GLYPHS) --add_cmap4 --add_glyf -f "$<" -o "$@" -d "$(COMPRESSED_DIR)" $(ADD_GLYPHS_FLAGS)
 
 %.ttf: %.ttx
 	@rm -f "$@"
 	ttx "$<"
 
-$(EMOJI).ttf: $(EMOJI).tmpl.ttf $(EMOJI_BUILDER) $(PUA_ADDER) \
-	$(ALL_COMPRESSED_FILES) | check_vs_adder
-	@$(PYTHON) $(EMOJI_BUILDER) $(SMALL_METRICS) -V $< "$@" "$(COMPRESSED_DIR)/emoji_u"
+$(EMOJI).ttf: check_sequence $(EMOJI).tmpl.ttf $(EMOJI_BUILDER) $(PUA_ADDER) \
+	$(ALL_COMPRESSED_FILES) | check_tools
+
+	@$(PYTHON) $(EMOJI_BUILDER) $(SMALL_METRICS) -V $(word 2,$^) "$@" "$(COMPRESSED_DIR)/emoji_u"
 	@$(PYTHON) $(PUA_ADDER) "$@" "$@-with-pua"
 	@$(VS_ADDER) -vs 2640 2642 2695 --dstdir '.' -o "$@-with-pua-varsel" "$@-with-pua"
 	@mv "$@-with-pua-varsel" "$@"
 	@rm "$@-with-pua"
 
+$(EMOJI_WINDOWS).ttf: check_sequence $(EMOJI_WINDOWS).tmpl.ttf $(EMOJI_BUILDER) $(PUA_ADDER) \
+	$(ALL_COMPRESSED_FILES) | check_tools
+
+	@$(PYTHON) $(EMOJI_BUILDER) -O $(SMALL_METRICS) -V $(word 2,$^) "$@" "$(COMPRESSED_DIR)/emoji_u"
+	@$(PYTHON) $(PUA_ADDER) "$@" "$@-with-pua"
+	@$(VS_ADDER) -vs 2640 2642 2695 --dstdir '.' -o "$@-with-pua-varsel" "$@-with-pua"
+	@mv "$@-with-pua-varsel" "$@"
+	@rm "$@-with-pua"
+
+
+check_sequence:
+ifdef BYPASS_SEQUENCE_CHECK
+	@echo Bypassing the emoji sequence checks
+else
+	@$(PYTHON) $(SEQUENCE_CHECK_PY) -n $(ALL_NAMES) -c
+endif
+
 clean:
-	rm -f $(EMOJI).ttf $(EMOJI).tmpl.ttf $(EMOJI).tmpl.ttx
+	rm -f $(EMOJI).ttf $(EMOJI_WINDOWS).ttf $(EMOJI).tmpl.ttf $(EMOJI_WINDOWS).tmpl.ttf $(EMOJI).tmpl.ttx $(EMOJI_WINDOWS).tmpl.ttx
 	rm -f waveflag
 	rm -rf $(BUILD_DIR)
 
+# This prints the value of a Makefile variable: e.g. `make print-SELECTED_FLAGS`
+# will print the content of SELECTED_FLAGS.
+# Source: https://apprize.best/linux/gnu/3.html
+print-%: ; @echo $* = $($*)
+
 .SECONDARY: $(EMOJI_FILES) $(FLAG_FILES) $(RESIZED_FLAG_FILES) $(RENAMED_FLAG_FILES) \
   $(ALL_QUANTIZED_FILES) $(ALL_COMPRESSED_FILES)
 
-.PHONY:	clean flags emoji renamed_flags quantized compressed check_compress_tool
-
+.PHONY:	clean flags emoji renamed_flags quantized compressed check_tools
+

=== debian/changelog ===
fonts-noto-color-emoji (2.042-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2045043)
    - This major update introduces support for the Unicode 15.1 standard
    https://blog.emojipedia.org/googles-emoji-15-1-support-in-noto-color-emoji/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Nov 2023 11:39:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bicha <jbicha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
                fonttools (>= 4.7.0),
                imagemagick,
@@ -10,10 +11,10 @@
                libpng-dev,
                pkg-config,
                pngquant,
-               python3-nototools (>= 0.2.16),
+               python3-nototools (>= 0.2.17),
                zopfli,
-Standards-Version: 4.5.0
-Homepage: https://www.google.com/get/noto/help/emoji/
+Standards-Version: 4.6.1
+Homepage: https://fonts.google.com/noto/specimen/Noto+Color+Emoji
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji

## fonts-noto-color-emoji 2.047

=== requirements.txt ===
fonttools>=4.7.0
notofonttools>=0.2.17
nanoemoji >= 0.14.3
pytest>=7.4

=== debian/changelog ===
fonts-noto-color-emoji (2.047-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2083629)
    - This major update introduces support for the Unicode 16.0 standard
      https://blog.emojipedia.org/google-debuts-emoji-16-0-support/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 17:00:27 -0500

fonts-noto-color-emoji (2.042-1) unstable; urgency=medium

  * New upstream release
    - Update flag for Martinique

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Nov 2023 11:34:59 -0500

fonts-noto-color-emoji (2.041-1) unstable; urgency=medium

  * New upstream release (LP: #2045043)
    - This major update introduces support for the Unicode 15.1 standard
    https://blog.emojipedia.org/googles-emoji-15-1-support-in-noto-color-emoji/
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Nov 2023 14:59:40 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                pngquant,
                python3-nototools (>= 0.2.17),
                zopfli,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://fonts.google.com/noto/specimen/Noto+Color+Emoji
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/@PACKAGE@-$1.tar.gz/ \
https://github.com/googlefonts/noto-emoji/tags \
 .*/v([0-9]\.[0-9a-z\-_]*)@ARCHIVE_EXT@

## fonts-noto-color-emoji 2.048

=== debian/changelog ===
fonts-noto-color-emoji (2.048-1) unstable; urgency=medium

  * New upstream release
    - Update the Syria flag

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 22 Jun 2025 17:10:32 -0400

fonts-noto-color-emoji (2.047-1) unstable; urgency=medium

  * New upstream release (LP: #2083629)
    - This major update introduces support for the Unicode 16.0 standard
      https://blog.emojipedia.org/google-debuts-emoji-16-0-support/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Oct 2024 12:51:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fonts-noto-color-emoji
 Section: fonts
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
                fonttools (>= 4.7.0),

## fonts-noto-color-emoji 2.051

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 LIMITED_FLAGS = CN DE ES FR GB IT JP KR RU US
 SELECTED_FLAGS = AC AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ \
 	BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BW BY BZ \
-	CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ \
+	CA CC CD CF CG CH CI CK CL CM CN CO CQ CR CU CV CW CX CY CZ \
 	DE DJ DK DM DO DZ \
 	EC EE EG EH ER ES ET EU \
 	FI FJ FK FM FO FR \

=== requirements.txt ===
fonttools>=4.59.1
notofonttools>=0.3.2
nanoemoji >= 0.15.8
pytest>=8.4

=== debian/changelog ===
fonts-noto-color-emoji (2.051-1) unstable; urgency=medium

  * New upstream release (Closes: #1115370)
    - This major update introduces support for the Unicode 17.0 standard
      https://blog.emojipedia.org/google-debuts-emoji-17-0-support/
  * Bump debhelper compat to 13
  * Bump Standards Version to 4.7.2
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 22:41:24 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>, Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                fonttools (>= 4.7.0),
                imagemagick,
                libcairo2-dev,
@@ -12,7 +12,7 @@
                pngquant,
                python3-nototools (>= 0.2.17),
                zopfli,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://fonts.google.com/noto/specimen/Noto+Color+Emoji
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-noto-color-emoji

=== debian/watch ===
Version: 5
Template: GitHub
Owner: googlefonts
Project: noto-emoji
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v([0-9]\.[0-9a-z\-_]*)
